Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`logger`.`_flatten`.`KeyFlattener``

class documentation

`class KeyFlattener: (source)`

Constructor: `KeyFlattener()`

View In Hierarchy

A `KeyFlattener` computes keys for the things within curly braces in PEP-3101-style format strings as parsed by `string.Formatter.parse`.

Method | `__init__` | Initialize a `KeyFlattener`.
Method | `flatKey` | Compute a string key for a given field/format/conversion.
Instance Variable | `keys` | Undocumented

def __init__(self): (source)

Initialize a `KeyFlattener`.

def flatKey(self, fieldName: `str`, formatSpec: `Optional[str]`, conversion: `Optional[str]`) -> `str`: (source)

Compute a string key for a given field/format/conversion.

Parameters
fieldName:`str` | A format field name.
formatSpec:`Optional[str]` | A format spec.
conversion:`Optional[str]` | A format field conversion type.
Returns
`str` | A key specific to the given field, format and conversion, as well as the occurrence of that combination within this `KeyFlattener`'s lifetime.

keys: `Dict[str, int]` = (source)

Undocumented